pqxx::internal::transactionfocus Class Reference

`#include <transaction_base.hxx>`

Inheritance diagram for pqxx::internal::transactionfocus:

## Public Member Functions

| transactionfocus (transaction_base &t)
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Protected Member Functions

void | register_me ()
void | unregister_me () throw ()
void | reg_pending_error (const std::string &) throw ()
bool | registered () const throw ()

## Protected Attributes

transaction_base & | m_Trans

## Constructor & Destructor Documentation

## transactionfocus()

pqxx::internal::transactionfocus::transactionfocus | ( | transaction_base & | t | ) |

explicit

## Member Function Documentation

## reg_pending_error()

void pqxx::internal::transactionfocus::reg_pending_error | ( | const std::string & | err | ) |
throw | ( |
| ) |  |

protected

Referenced by pqxx::tablereader::complete(), pqxx::tablereader::~tablereader(), and pqxx::tablewriter::~tablewriter().

## register_me()

void pqxx::internal::transactionfocus::register_me | ( |  | ) |

protected

Referenced by pqxx::tablereader::tablereader(), pqxx::pipeline::~pipeline(), and pqxx::tablewriter::~tablewriter().

## registered()

bool pqxx::internal::transactionfocus::registered | ( |  | ) | const
throw | ( |
| ) |  |

protected

Referenced by pqxx::pipeline::~pipeline().

## unregister_me()

void pqxx::internal::transactionfocus::unregister_me | ( |  | ) |
throw | ( |
| ) |  |

protected

Referenced by pqxx::tablestream::base_close(), pqxx::pipeline::resume(), and pqxx::pipeline::~pipeline().

## Member Data Documentation

## m_Trans

transaction_base& pqxx::internal::transactionfocus::m_Trans

protected

Referenced by pqxx::pipeline::cancel(), pqxx::tablewriter::complete(), pqxx::tablereader::get_raw_line(), pqxx::pipeline::resume(), pqxx::tablewriter::write_raw_line(), pqxx::pipeline::~pipeline(), pqxx::tablereader::~tablereader(), and pqxx::tablewriter::~tablewriter().

The documentation for this class was generated from the following files:

- transaction_base.hxx
- transaction_base.cxx